gnutls-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[SCM] GNU gnutls branch, gnutls_2_8_x, updated. gnutls_2_8_5-29-gadd5f1b


From: Simon Josefsson
Subject: [SCM] GNU gnutls branch, gnutls_2_8_x, updated. gnutls_2_8_5-29-gadd5f1b
Date: Mon, 15 Mar 2010 10:24:58 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU gnutls".

http://git.savannah.gnu.org/cgit/gnutls.git/commit/?id=add5f1bc3847a713b6e210df2d0780a7da4518ad

The branch, gnutls_2_8_x has been updated
       via  add5f1bc3847a713b6e210df2d0780a7da4518ad (commit)
       via  ef37eaf0de16b2c298ce0f03eebd5f8e051b299c (commit)
      from  13836061caac4d5f3390d2cc6d4c04592541c497 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit add5f1bc3847a713b6e210df2d0780a7da4518ad
Author: Simon Josefsson <address@hidden>
Date:   Mon Mar 15 11:24:45 2010 +0100

    Backport tests/openpgp-certs fixes.

commit ef37eaf0de16b2c298ce0f03eebd5f8e051b299c
Author: Simon Josefsson <address@hidden>
Date:   Fri Nov 6 10:04:55 2009 +0100

    Update gnulib files.

-----------------------------------------------------------------------

Summary of changes:
 gl/tests/Makefile.am             |    2 +-
 tests/openpgp-certs/Makefile.am  |   22 ++++++++--------
 tests/openpgp-certs/testselfsigs |   49 ++++++++++++++++++++++++++++++-------
 3 files changed, 51 insertions(+), 22 deletions(-)

diff --git a/gl/tests/Makefile.am b/gl/tests/Makefile.am
index 421303a..2c7a918 100644
--- a/gl/tests/Makefile.am
+++ b/gl/tests/Makefile.am
@@ -192,7 +192,7 @@ TESTS += test-select test-select-in.sh test-select-out.sh
 # test-select-stdin has to be run by hand.
 TESTS_ENVIRONMENT += EXEEXT='@EXEEXT@'
 check_PROGRAMS += test-select test-select-fd test-select-stdin
-test_select_LDADD = $(LDADD) @LIBSOCKET@
+test_select_LDADD = $(LDADD) @LIBSOCKET@ $(INET_PTON_LIB)
 test_select_fd_LDADD = $(LDADD) @LIBSOCKET@
 test_select_stdin_LDADD = $(LDADD) @LIBSOCKET@
 
diff --git a/tests/openpgp-certs/Makefile.am b/tests/openpgp-certs/Makefile.am
index 76fbf3a..eed9270 100644
--- a/tests/openpgp-certs/Makefile.am
+++ b/tests/openpgp-certs/Makefile.am
@@ -1,5 +1,5 @@
 ## Process this file with automake to produce Makefile.in
-# Copyright (C) 2007, 2008 Free Software Foundation
+# Copyright (C) 2007, 2008, 2010 Free Software Foundation, Inc.
 #
 # This file is part of GNUTLS.
 #
@@ -17,19 +17,19 @@
 # along with this file; if not, write to the Free Software Foundation,
 # Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 
-if ENABLE_OPENPGP
-
 EXTRA_DIST = ca-public.gpg srv-public-all-signed.gpg srv-secret.gpg    \
        ca-secret.gpg srv-public.gpg srv-public-127.0.0.1-signed.gpg    \
-       srv-public-localhost-signed.gpg selfsigs/alice-mallory-badsig18.pub \
-       selfsigs/alice-mallory-irrelevantsig.pub 
selfsigs/alice-mallory-nosig18.pub \
-       selfsigs/alice.pub
+       srv-public-localhost-signed.gpg                                 \
+       selfsigs/alice-mallory-badsig18.pub                             \
+       selfsigs/alice-mallory-irrelevantsig.pub                        \
+       selfsigs/alice-mallory-nosig18.pub selfsigs/alice.pub
+
+dist_check_SCRIPTS = testselfsigs testcerts
 
+if ENABLE_OPENPGP
 # The selftest is disabled until we can make it work under Wine and
-# under Debian buildds (problem with 127.0.0.2?).  Just extra-dist it
-# for now.
-EXTRA_DIST += testcerts testselfsigs
-dist_check_SCRIPTS = testselfsigs #testcerts
+# under Debian buildds (problem with 127.0.0.2?).
 TESTS = testselfsigs #testcerts
-
 endif
+
+TESTS_ENVIRONMENT = EXEEXT=$(EXEEXT)
diff --git a/tests/openpgp-certs/testselfsigs b/tests/openpgp-certs/testselfsigs
index 51acd86..e6609dc 100755
--- a/tests/openpgp-certs/testselfsigs
+++ b/tests/openpgp-certs/testselfsigs
@@ -1,7 +1,30 @@
-#!/bin/bash
+#!/bin/sh
+
+# Copyright (C) 2010 Free Software Foundation, Inc.
+#
+# Author: Nikos Mavrogiannopoulos
+#
+# This file is part of GNUTLS.
+#
+# GNUTLS is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 3 of the License, or (at
+# your option) any later version.
+#
+# GNUTLS is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with GNUTLS; if not, write to the Free Software Foundation,
+# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+
+set -e
 
 srcdir="${srcdir:-.}"
-CERTTOOL="${certtool:-../../src/certtool} -q"
+CERTTOOL="${CERTTOOL:-../../src/certtool$EXEEXT}"
+
 unset RETCODE
 
 fail() {
@@ -11,14 +34,20 @@ fail() {
 
 echo "Checking OpenPGP certificate self verification"
 
-( $CERTTOOL --pgp-certificate-info <$srcdir/selfsigs/alice.pub | grep -e 
"^Self Signature verification: ok" ) >/dev/null ||
-  fail "Self sig Verification should have succeeded!"
+($CERTTOOL --pgp-certificate-info < $srcdir/selfsigs/alice.pub \
+    | grep "^Self Signature verification: ok" > /dev/null) || \
+    fail "Self sig Verification should have succeeded!"
+
+($CERTTOOL --pgp-certificate-info < 
$srcdir/selfsigs/alice-mallory-badsig18.pub \
+    | grep "^Self Signature verification: failed" > /dev/null) || \
+    fail "Self sig Verification should have failed!"
+
+($CERTTOOL --pgp-certificate-info < 
$srcdir/selfsigs/alice-mallory-irrelevantsig.pub \
+    | grep "^Self Signature verification: failed" >/dev/null) || \
+    fail "Self sig Verification should have failed!"
 
-( $CERTTOOL --pgp-certificate-info 
<$srcdir/selfsigs/alice-mallory-badsig18.pub | grep -e "^Self Signature 
verification: failed" ) >/dev/null ||
-  fail "Self sig Verification should have failed!"
-( $CERTTOOL --pgp-certificate-info 
<$srcdir/selfsigs/alice-mallory-irrelevantsig.pub | grep -e "^Self Signature 
verification: failed" ) >/dev/null ||
-  fail "Self sig Verification should have failed!"
-( $CERTTOOL --pgp-certificate-info <$srcdir/selfsigs/alice-mallory-nosig18.pub 
| grep -e "^Self Signature verification: failed" ) >/dev/null ||
-  fail "Self sig Verification should have failed!"
+($CERTTOOL --pgp-certificate-info < $srcdir/selfsigs/alice-mallory-nosig18.pub 
\
+    | grep "^Self Signature verification: failed" >/dev/null) || \
+    fail "Self sig Verification should have failed!"
 
 exit ${RETCODE:-0}


hooks/post-receive
-- 
GNU gnutls




reply via email to

[Prev in Thread] Current Thread [Next in Thread]